using System.ComponentModel.DataAnnotations;

namespace Watcher.ViewModels
{
    public class EditServerViewModel
    {
        public int Id { get; set; }

        [Required(ErrorMessage = "Name ist erforderlich")]
        public string Name { get; set; }

        [Required(ErrorMessage = "IP-Adresse ist erforderlich")]
        [RegularExpression(@"^(?:[0-9]{1,3}\.){3}[0-9]{1,3}$", ErrorMessage = "Ungültige IP-Adresse")]
        public string IPAddress { get; set; }

        [Required(ErrorMessage = "Typ ist erforderlich")]
        public string Type { get; set; }
    }
}